Subject: bug#65190: closed (Re: bug#65190: 30.0.50; Emacs doesn't build with `--with-mailutils` by default when mailutils is installed on macOS)

From: [email-masked] (GNU bug Tracking System)
Date: Fri, 11 Aug 2023 01:52:02 +0000

Your bug report

#65190: 30.0.50; Emacs doesn't build with `--with-mailutils` by default  when mailutils is installed on macOS

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
65190: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=65190
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#65190: 30.0.50; Emacs doesn't build with `--with-mailutils` by default when mailutils is installed on macOS
From: Po Lu <[email-masked]>
To: Mou Tong <[email-masked]>
Cc: "[email-masked]" <[email-masked]>
Date: Fri, 11 Aug 2023 09:51:17 +0800
List-Id: <debbugs-submit.debbugs.gnu.org>

Mou Tong <[email-masked]> writes:

> Po Lu <[email-masked]> writes：
>
>> I fixed this differently.  Would you please pull from master and ack?
>
> I pulled the latest commit cc6fed326aa491f89cad5cf59f4a8fb7b2863011
> and it worked fine on my machine :)

Thanks, closing.

Subject: 30.0.50; Emacs doesn't build with `--with-mailutils` by default when mailutils is installed on macOS
From: Mou Tong <[email-masked]>
To: "[email-masked]" <[email-masked]>
Date: Thu, 10 Aug 2023 02:06:00 +0000
List-Id: <debbugs-submit.debbugs.gnu.org>

After the android branch merged, the file `configure.ac`'s section about
`mailutils` changed.

When I build Emacs on macOS with `./configure`, cli will remind me:

```
configure: WARNING: This configuration installs a 'movemail' program
that does not retrieve POP3 email.  By default, Emacs 25 and earlier
installed a 'movemail' program that retrieved POP3 email via only
insecure channels, a practice that is no longer recommended but that
you can continue to support by using './configure --with-pop'.
configure: You might want to use './configure --with-mailutils'.
```

I have installed mailtuils by homebrew (a package manager on macOS), and
it works fine before the android branch got merged.

I guess the problem occurs in this line

https://git.savannah.gnu.org/cgit/emacs.git/tree/configure.ac?id=e1d08e9e11d2bd5e93c8ae4ea4a8e27129b316cb#n349

But I don't know how to fix this :(